	my $pid = fork();
	
		$ENV{MASTER_MYPORT}=13100;
		$ENV{SLAVE_MYPORT}=13101;
	
	die "Could not fork" unless defined $pid;
	
	# --mysqld=--binlog_format=MIXED rpl_alter
	
	if ( $pid ) {
		system( "perl mysql-test-run.pl --mysqld=--innodb --mtr-build-thread=310 --mysqld=--innodb_lock_wait_timeout=10 --start alias" );	
		exit;
	}
	else {
		sleep(10);
		my $cmd = "perl ./mysql-stress-test.pl --server-host=127.0.0.1 --server-port=$ENV{MASTER_MYPORT} "
			. "--stress-suite-basedir=stress_test_basedir "
			. "--stress-basedir=stress_test_basedir/logs/res_run/ "
			. "--stress-tests-file=stress_test_basedir/stress.txt "
			. "--server-logs-dir=stress_test_basedir/logs/log_run/ "
			. "--stress-init-file=stress_test_basedir/init.txt "
			. "--mysqltest=../bin/mysqltest "
			. "--threads=30 --test-duration=600 --server-user=root --cleanup --abort-on-error=1";
			
		system( "$cmd" );
	}
	
